opencv: cv::StarAdjuster Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# cv::StarAdjuster Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::StarAdjuster:

List of all members.

## Public Member Functions
virtual bool | good () const
| StarAdjuster (double initial_thresh=30.0)
virtual void | tooFew (int min, int n_detected)
virtual void | tooMany (int max, int n_detected)
## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
## Protected Attributes
CvStarDetectorParams | params_
double | thresh_

## Detailed Description

An adjuster for StarFeatureDetector, this one adjusts the responseThreshold for now TODO find a faster way to converge the parameters for Star - use CvStarDetectorParams

## Constructor & Destructor Documentation

cv::StarAdjuster::StarAdjuster | ( | double | initial_thresh = `30.0` ) |

## Member Function Documentation

virtual void cv::StarAdjuster::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, virtual]`

Implements cv::FeatureDetector.

virtual bool cv::StarAdjuster::good | ( | ) | const`[virtual]`

are params maxed out or still valid?

Returns:
  false if the parameters can't be adjusted any more

Implements cv::AdjusterAdapter.

virtual void cv::StarAdjuster::tooFew | ( | int | min,
|  | int | n_detected
| ) |  | `[virtual]`

too few features were detected so, adjust the detector params accordingly

Parameters:

  min | the minimum number of desired features
  n_detected | the number previously detected

Implements cv::AdjusterAdapter.

virtual void cv::StarAdjuster::tooMany | ( | int | max,
|  | int | n_detected
| ) |  | `[virtual]`

too many features were detected so, adjust the detector params accordingly

Parameters:

  max | the maximum number of desired features
  n_detected | the number previously detected

Implements cv::AdjusterAdapter.

## Member Data Documentation

CvStarDetectorParams cv::StarAdjuster::params_`[protected]`

double cv::StarAdjuster::thresh_`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines